Skip to main content
Integration Mappings allow the users to manage where content from partner apps is stored in Box.

Integration mapping Slack

A Slack specific representation of an integration mapping object.
PropertyTypeRequiredDescription
idstringYesA unique identifier of a folder mapping (part of a composite key together with integration_type).
typeenum<string>YesMapping type. Available options: integration_mapping.
integration_typeenum<string>NoIdentifies the Box partner app, with which the mapping is associated. Currently only supports Slack. (part of the composite key together with id). Available options: slack.
is_manually_createdbooleanNoIdentifies whether the mapping has been manually set (as opposed to being automatically created).
optionsIntegration mapping options for type SlackNo
created_byUser (Integration Mappings)NoAn object representing the user who created the integration mapping.
modified_byUser (Integration Mappings)NoThe user who last modified the integration mapping.
partner_itemIntegration mapping mapped item schema for type SlackYesMapped item object for Slack.
box_itemFolder (Mini)YesThe Box folder, to which the object from the partner app domain (referenced in partner_item_id) is mapped.
created_atstringNoWhen the integration mapping object was created.
modified_atstringNoWhen the integration mapping object was last modified.
Example
{
  "id": "12345",
  "type": "integration_mapping",
  "integration_type": "slack",
  "is_manually_created": true,
  "options": {
    "is_access_management_disabled": true
  },
  "created_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "modified_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "partner_item": {
    "id": "C12378991223",
    "type": "channel",
    "slack_org_id": "E1234567"
  },
  "box_item": {
    "id": "12345",
    "etag": "1",
    "type": "folder",
    "sequence_id": "3",
    "name": "Contracts"
  },
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00"
}

Integration mapping Teams

A Microsoft Teams specific representation of an integration mapping object.
PropertyTypeRequiredDescription
idstringYesA unique identifier of a folder mapping (part of a composite key together with integration_type).
typeenum<string>YesMapping type. Available options: integration_mapping.
integration_typeenum<string>NoIdentifies the Box partner app, with which the mapping is associated. Supports Slack and Teams. (part of the composite key together with id). Available options: teams.
is_overridden_by_manual_mappingbooleanNoIdentifies whether the mapping has been manually set by the team owner from UI for channels (as opposed to being automatically created).
partner_itemIntegration mapping mapped item schema for type TeamsYesMapped item object for Teams.
box_itemFolder referenceYesThe Box folder, to which the object from the partner app domain (referenced in partner_item_id) is mapped.
created_atstringNoWhen the integration mapping object was created.
modified_atstringNoWhen the integration mapping object was last modified.
Example
{
  "id": "12345",
  "type": "integration_mapping",
  "integration_type": "teams",
  "is_overridden_by_manual_mapping": true,
  "partner_item": {
    "id": "19%3ABCD-Avgfggkggyftdtfgghjhkhkhh%40thread:tacv2",
    "type": "channel",
    "tenant_id": "E1234567",
    "team_id": "hjgjgjg-bhhj-564a-b643-hghgj685u"
  },
  "box_item": {
    "type": "folder",
    "id": "42037322"
  },
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00"
}

Integration mappings Slack

A list of integration mapping objects.
PropertyTypeRequiredDescription
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_markerstringNoThe marker for the start of the next page of results. Can be null.
entriesarray of Integration mapping SlackNoA list of integration mappings.
Example
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "entries": [
    {
      "id": "12345",
      "type": "integration_mapping",
      "integration_type": "slack",
      "is_manually_created": true,
      "options": {
        "is_access_management_disabled": true
      },
      "created_by": {
        "id": "11446498",
        "type": "user",
        "name": "Aaron Levie",
        "login": "ceo@example.com"
      },
      "modified_by": {
        "id": "11446498",
        "type": "user",
        "name": "Aaron Levie",
        "login": "ceo@example.com"
      },
      "partner_item": {
        "id": "C12378991223",
        "type": "channel",
        "slack_org_id": "E1234567"
      },
      "box_item": {
        "id": "12345",
        "etag": "1",
        "type": "folder",
        "sequence_id": "3",
        "name": "Contracts"
      },
      "created_at": "2012-12-12T10:53:43-08:00",
      "modified_at": "2012-12-12T10:53:43-08:00"
    }
  ]
}

Integration mappings Teams

A list of integration mapping objects.
PropertyTypeRequiredDescription
entriesarray of Integration mapping TeamsNoA list of integration mappings.
Example
{
  "entries": [
    {
      "id": "12345",
      "type": "integration_mapping",
      "integration_type": "teams",
      "is_overridden_by_manual_mapping": true,
      "partner_item": {
        "id": "19%3ABCD-Avgfggkggyftdtfgghjhkhkhh%40thread:tacv2",
        "type": "channel",
        "tenant_id": "E1234567",
        "team_id": "hjgjgjg-bhhj-564a-b643-hghgj685u"
      },
      "box_item": {
        "type": "folder",
        "id": "42037322"
      },
      "created_at": "2012-12-12T10:53:43-08:00",
      "modified_at": "2012-12-12T10:53:43-08:00"
    }
  ]
}
Last modified on July 9, 2026